SingleColumnRestriction.SuperColumnMultiSliceRestriction (apache-cassandra API)
Date: 2018-02-14

org.apache.cassandra.cql3.restrictions

## Class SingleColumnRestriction.SuperColumnMultiSliceRestriction

- java.lang.Object
- - org.apache.cassandra.cql3.restrictions.SingleColumnRestriction
  - - org.apache.cassandra.cql3.restrictions.SingleColumnRestriction.SliceRestriction
    - - org.apache.cassandra.cql3.restrictions.SingleColumnRestriction.SuperColumnMultiSliceRestriction

- All Implemented Interfaces:
    Restriction, SingleRestriction
  Enclosing class:
    SingleColumnRestriction

      public static class SingleColumnRestriction.SuperColumnMultiSliceRestriction
      extends SingleColumnRestriction.SliceRestriction

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.cassandra.cql3.restrictions.SingleColumnRestriction

      `SingleColumnRestriction.ContainsRestriction, SingleColumnRestriction.EQRestriction, SingleColumnRestriction.INRestriction, SingleColumnRestriction.InRestrictionWithMarker, SingleColumnRestriction.InRestrictionWithValues, SingleColumnRestriction.IsNotNullRestriction, SingleColumnRestriction.LikeRestriction, SingleColumnRestriction.SliceRestriction, SingleColumnRestriction.SuperColumnKeyEQRestriction, SingleColumnRestriction.SuperColumnKeyINRestriction, SingleColumnRestriction.SuperColumnKeyINRestrictionWithMarkers, SingleColumnRestriction.SuperColumnKeyINRestrictionWithValues, SingleColumnRestriction.SuperColumnKeySliceRestriction, SingleColumnRestriction.SuperColumnMultiEQRestriction, SingleColumnRestriction.SuperColumnMultiSliceRestriction`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `Bound` | `bound`
    `java.nio.ByteBuffer` | `firstValue`
    `java.nio.ByteBuffer` | `secondValue`
    `boolean` | `trueInclusive`

    - ### Fields inherited from class org.apache.cassandra.cql3.restrictions.SingleColumnRestriction.SliceRestriction

      `slice`

    - ### Fields inherited from class org.apache.cassandra.cql3.restrictions.SingleColumnRestriction

      `columnDef`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SuperColumnMultiSliceRestriction(ColumnDefinition columnDef, Bound bound, boolean inclusive, Term term)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `MultiCBuilder` | `appendBoundTo(MultiCBuilder builder, Bound bound, QueryOptions options)` Appends the values of the `SingleRestriction` for the specified bound to the specified builder.

    - ### Methods inherited from class org.apache.cassandra.cql3.restrictions.SingleColumnRestriction.SliceRestriction

      `addFunctionsTo, addRowFilterTo, appendTo, doMergeWith, hasBound, isInclusive, isSlice, isSupportedBy, toString`

    - ### Methods inherited from class org.apache.cassandra.cql3.restrictions.SingleColumnRestriction

      `getColumnDefs, getFirstColumn, getLastColumn, hasSupportingIndex, mergeWith`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.cassandra.cql3.restrictions.SingleRestriction

      `isContains, isEQ, isIN, isLIKE, isMultiColumn, isNotNull`

    - ### Methods inherited from interface org.apache.cassandra.cql3.restrictions.Restriction

      `isOnToken`

- - ### Field Detail

    - #### firstValue

          public java.nio.ByteBuffer firstValue

    - #### secondValue

          public java.nio.ByteBuffer secondValue

    - #### bound

          public final Bound bound

    - #### trueInclusive

          public final boolean trueInclusive

  - ### Constructor Detail

    - #### SuperColumnMultiSliceRestriction

          public SuperColumnMultiSliceRestriction(ColumnDefinition columnDef,
                                                  Bound bound,
                                                  boolean inclusive,
                                                  Term term)

  - ### Method Detail

    - #### appendBoundTo

          public MultiCBuilder appendBoundTo(MultiCBuilder builder,
                                             Bound bound,
                                             QueryOptions options)

      Description copied from interface: `SingleRestriction`
      Appends the values of the `SingleRestriction` for the specified bound to the specified builder.
      Specified by:
        `appendBoundTo` in interface `SingleRestriction`
      Overrides:
        `appendBoundTo` in class `SingleColumnRestriction.SliceRestriction`
      Parameters:
        `builder` - the `MultiCBuilder` to append to.
        `bound` - the bound
        `options` - the query options
      Returns:
        the `MultiCBuilder`

Copyright © 2018 The Apache Software Foundation